// Code generated by protoc-gen-go-grpc. DO NOT EDIT.

package order_mobile

import (
	context "context"
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

// FastDealServiceClient is the client API for FastDealService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type FastDealServiceClient interface {
	ListFastDealProcessType(ctx context.Context, in *order.ListFastDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealBrand(ctx context.Context, in *order.ListFastDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealProduct(ctx context.Context, in *order.ListFastDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealCurrency(ctx context.Context, in *order.ListFastDealCurrencyRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealPaymentCondition(ctx context.Context, in *order.ListFastDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealDeliveryCondition(ctx context.Context, in *order.ListFastDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error)
	ListFastDealNames(ctx context.Context, in *order.ListFastDealNamesRequest, opts ...grpc.CallOption) (*order.ListFastDealNamesResponse, error)
	GetFastDeal(ctx context.Context, in *order.GetFastDealRequest, opts ...grpc.CallOption) (*order.GetFastDealResponse, error)
	ListFastDeal(ctx context.Context, in *order.ListFastDealRequest, opts ...grpc.CallOption) (*order.ListFastDealResponse, error)
	CreateFastDeal(ctx context.Context, in *order.CreateFastDealRequest, opts ...grpc.CallOption) (*order.CreateFastDealResponse, error)
	// Deprecated: Do not use.
	RejectFastDeal(ctx context.Context, in *order.RejectFastDealRequest, opts ...grpc.CallOption) (*order.RejectFastDealResponse, error)
	DoneFastDeal(ctx context.Context, in *order.DoneFastDealRequest, opts ...grpc.CallOption) (*order.DoneFastDealResponse, error)
	GetFastDealFile(ctx context.Context, in *order.GetFastDealFileRequest, opts ...grpc.CallOption) (*order.GetFastDealFileResponse, error)
	ListFastDealFile(ctx context.Context, in *order.ListFastDealFileRequest, opts ...grpc.CallOption) (*order.ListFastDealFileResponse, error)
	AddFastDealFile(ctx context.Context, in *order.AddFastDealFileRequest, opts ...grpc.CallOption) (*order.AddFastDealFileResponse, error)
	DeleteFastDealFile(ctx context.Context, in *order.DeleteFastDealFileRequest, opts ...grpc.CallOption) (*order.DeleteFastDealFileResponse, error)
}

type fastDealServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewFastDealServiceClient(cc grpc.ClientConnInterface) FastDealServiceClient {
	return &fastDealServiceClient{cc}
}

func (c *fastDealServiceClient) ListFastDealProcessType(ctx context.Context, in *order.ListFastDealProcessTypeRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealProcessType", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealBrand(ctx context.Context, in *order.ListFastDealBrandRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealBrand", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealProduct(ctx context.Context, in *order.ListFastDealProductRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealProduct", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealCurrency(ctx context.Context, in *order.ListFastDealCurrencyRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealCurrency", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealPaymentCondition(ctx context.Context, in *order.ListFastDealPaymentConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealPaymentCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealDeliveryCondition(ctx context.Context, in *order.ListFastDealDeliveryConditionRequest, opts ...grpc.CallOption) (*order.DictResponse, error) {
	out := new(order.DictResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealDeliveryCondition", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealNames(ctx context.Context, in *order.ListFastDealNamesRequest, opts ...grpc.CallOption) (*order.ListFastDealNamesResponse, error) {
	out := new(order.ListFastDealNamesResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealNames", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) GetFastDeal(ctx context.Context, in *order.GetFastDealRequest, opts ...grpc.CallOption) (*order.GetFastDealResponse, error) {
	out := new(order.GetFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/GetFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDeal(ctx context.Context, in *order.ListFastDealRequest, opts ...grpc.CallOption) (*order.ListFastDealResponse, error) {
	out := new(order.ListFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) CreateFastDeal(ctx context.Context, in *order.CreateFastDealRequest, opts ...grpc.CallOption) (*order.CreateFastDealResponse, error) {
	out := new(order.CreateFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/CreateFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Deprecated: Do not use.
func (c *fastDealServiceClient) RejectFastDeal(ctx context.Context, in *order.RejectFastDealRequest, opts ...grpc.CallOption) (*order.RejectFastDealResponse, error) {
	out := new(order.RejectFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/RejectFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) DoneFastDeal(ctx context.Context, in *order.DoneFastDealRequest, opts ...grpc.CallOption) (*order.DoneFastDealResponse, error) {
	out := new(order.DoneFastDealResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/DoneFastDeal", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) GetFastDealFile(ctx context.Context, in *order.GetFastDealFileRequest, opts ...grpc.CallOption) (*order.GetFastDealFileResponse, error) {
	out := new(order.GetFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/GetFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) ListFastDealFile(ctx context.Context, in *order.ListFastDealFileRequest, opts ...grpc.CallOption) (*order.ListFastDealFileResponse, error) {
	out := new(order.ListFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/ListFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) AddFastDealFile(ctx context.Context, in *order.AddFastDealFileRequest, opts ...grpc.CallOption) (*order.AddFastDealFileResponse, error) {
	out := new(order.AddFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/AddFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *fastDealServiceClient) DeleteFastDealFile(ctx context.Context, in *order.DeleteFastDealFileRequest, opts ...grpc.CallOption) (*order.DeleteFastDealFileResponse, error) {
	out := new(order.DeleteFastDealFileResponse)
	err := c.cc.Invoke(ctx, "/fcp.order.v1.order_mobile.FastDealService/DeleteFastDealFile", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// FastDealServiceServer is the server API for FastDealService service.
// All implementations must embed UnimplementedFastDealServiceServer
// for forward compatibility
type FastDealServiceServer interface {
	ListFastDealProcessType(context.Context, *order.ListFastDealProcessTypeRequest) (*order.DictResponse, error)
	ListFastDealBrand(context.Context, *order.ListFastDealBrandRequest) (*order.DictResponse, error)
	ListFastDealProduct(context.Context, *order.ListFastDealProductRequest) (*order.DictResponse, error)
	ListFastDealCurrency(context.Context, *order.ListFastDealCurrencyRequest) (*order.DictResponse, error)
	ListFastDealPaymentCondition(context.Context, *order.ListFastDealPaymentConditionRequest) (*order.DictResponse, error)
	ListFastDealDeliveryCondition(context.Context, *order.ListFastDealDeliveryConditionRequest) (*order.DictResponse, error)
	ListFastDealNames(context.Context, *order.ListFastDealNamesRequest) (*order.ListFastDealNamesResponse, error)
	GetFastDeal(context.Context, *order.GetFastDealRequest) (*order.GetFastDealResponse, error)
	ListFastDeal(context.Context, *order.ListFastDealRequest) (*order.ListFastDealResponse, error)
	CreateFastDeal(context.Context, *order.CreateFastDealRequest) (*order.CreateFastDealResponse, error)
	// Deprecated: Do not use.
	RejectFastDeal(context.Context, *order.RejectFastDealRequest) (*order.RejectFastDealResponse, error)
	DoneFastDeal(context.Context, *order.DoneFastDealRequest) (*order.DoneFastDealResponse, error)
	GetFastDealFile(context.Context, *order.GetFastDealFileRequest) (*order.GetFastDealFileResponse, error)
	ListFastDealFile(context.Context, *order.ListFastDealFileRequest) (*order.ListFastDealFileResponse, error)
	AddFastDealFile(context.Context, *order.AddFastDealFileRequest) (*order.AddFastDealFileResponse, error)
	DeleteFastDealFile(context.Context, *order.DeleteFastDealFileRequest) (*order.DeleteFastDealFileResponse, error)
	mustEmbedUnimplementedFastDealServiceServer()
}

// UnimplementedFastDealServiceServer must be embedded to have forward compatible implementations.
type UnimplementedFastDealServiceServer struct {
}

func (UnimplementedFastDealServiceServer) ListFastDealProcessType(context.Context, *order.ListFastDealProcessTypeRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProcessType not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealBrand(context.Context, *order.ListFastDealBrandRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealBrand not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealProduct(context.Context, *order.ListFastDealProductRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealProduct not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealCurrency(context.Context, *order.ListFastDealCurrencyRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealCurrency not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealPaymentCondition(context.Context, *order.ListFastDealPaymentConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealPaymentCondition not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealDeliveryCondition(context.Context, *order.ListFastDealDeliveryConditionRequest) (*order.DictResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealDeliveryCondition not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealNames(context.Context, *order.ListFastDealNamesRequest) (*order.ListFastDealNamesResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealNames not implemented")
}
func (UnimplementedFastDealServiceServer) GetFastDeal(context.Context, *order.GetFastDealRequest) (*order.GetFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDeal(context.Context, *order.ListFastDealRequest) (*order.ListFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) CreateFastDeal(context.Context, *order.CreateFastDealRequest) (*order.CreateFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) RejectFastDeal(context.Context, *order.RejectFastDealRequest) (*order.RejectFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method RejectFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) DoneFastDeal(context.Context, *order.DoneFastDealRequest) (*order.DoneFastDealResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DoneFastDeal not implemented")
}
func (UnimplementedFastDealServiceServer) GetFastDealFile(context.Context, *order.GetFastDealFileRequest) (*order.GetFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) ListFastDealFile(context.Context, *order.ListFastDealFileRequest) (*order.ListFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) AddFastDealFile(context.Context, *order.AddFastDealFileRequest) (*order.AddFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method AddFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) DeleteFastDealFile(context.Context, *order.DeleteFastDealFileRequest) (*order.DeleteFastDealFileResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteFastDealFile not implemented")
}
func (UnimplementedFastDealServiceServer) mustEmbedUnimplementedFastDealServiceServer() {}

// UnsafeFastDealServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to FastDealServiceServer will
// result in compilation errors.
type UnsafeFastDealServiceServer interface {
	mustEmbedUnimplementedFastDealServiceServer()
}

func RegisterFastDealServiceServer(s grpc.ServiceRegistrar, srv FastDealServiceServer) {
	s.RegisterService(&FastDealService_ServiceDesc, srv)
}

func _FastDealService_ListFastDealProcessType_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProcessTypeRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProcessType(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealProcessType",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProcessType(ctx, req.(*order.ListFastDealProcessTypeRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealBrand_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealBrandRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealBrand(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealBrand",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealBrand(ctx, req.(*order.ListFastDealBrandRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealProduct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealProductRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealProduct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealProduct",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealProduct(ctx, req.(*order.ListFastDealProductRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealCurrency_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealCurrencyRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealCurrency(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealCurrency",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealCurrency(ctx, req.(*order.ListFastDealCurrencyRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealPaymentCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealPaymentConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealPaymentCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealPaymentCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealPaymentCondition(ctx, req.(*order.ListFastDealPaymentConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealDeliveryCondition_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealDeliveryConditionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealDeliveryCondition(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealDeliveryCondition",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealDeliveryCondition(ctx, req.(*order.ListFastDealDeliveryConditionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealNames_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealNamesRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealNames(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealNames",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealNames(ctx, req.(*order.ListFastDealNamesRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_GetFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).GetFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/GetFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).GetFastDeal(ctx, req.(*order.GetFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDeal(ctx, req.(*order.ListFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_CreateFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.CreateFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).CreateFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/CreateFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).CreateFastDeal(ctx, req.(*order.CreateFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_RejectFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.RejectFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).RejectFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/RejectFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).RejectFastDeal(ctx, req.(*order.RejectFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_DoneFastDeal_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DoneFastDealRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).DoneFastDeal(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/DoneFastDeal",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).DoneFastDeal(ctx, req.(*order.DoneFastDealRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_GetFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.GetFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).GetFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/GetFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).GetFastDealFile(ctx, req.(*order.GetFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_ListFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.ListFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).ListFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/ListFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).ListFastDealFile(ctx, req.(*order.ListFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_AddFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.AddFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).AddFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/AddFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).AddFastDealFile(ctx, req.(*order.AddFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _FastDealService_DeleteFastDealFile_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(order.DeleteFastDealFileRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(FastDealServiceServer).DeleteFastDealFile(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/fcp.order.v1.order_mobile.FastDealService/DeleteFastDealFile",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(FastDealServiceServer).DeleteFastDealFile(ctx, req.(*order.DeleteFastDealFileRequest))
	}
	return interceptor(ctx, in, info, handler)
}

// FastDealService_ServiceDesc is the grpc.ServiceDesc for FastDealService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var FastDealService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "fcp.order.v1.order_mobile.FastDealService",
	HandlerType: (*FastDealServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ListFastDealProcessType",
			Handler:    _FastDealService_ListFastDealProcessType_Handler,
		},
		{
			MethodName: "ListFastDealBrand",
			Handler:    _FastDealService_ListFastDealBrand_Handler,
		},
		{
			MethodName: "ListFastDealProduct",
			Handler:    _FastDealService_ListFastDealProduct_Handler,
		},
		{
			MethodName: "ListFastDealCurrency",
			Handler:    _FastDealService_ListFastDealCurrency_Handler,
		},
		{
			MethodName: "ListFastDealPaymentCondition",
			Handler:    _FastDealService_ListFastDealPaymentCondition_Handler,
		},
		{
			MethodName: "ListFastDealDeliveryCondition",
			Handler:    _FastDealService_ListFastDealDeliveryCondition_Handler,
		},
		{
			MethodName: "ListFastDealNames",
			Handler:    _FastDealService_ListFastDealNames_Handler,
		},
		{
			MethodName: "GetFastDeal",
			Handler:    _FastDealService_GetFastDeal_Handler,
		},
		{
			MethodName: "ListFastDeal",
			Handler:    _FastDealService_ListFastDeal_Handler,
		},
		{
			MethodName: "CreateFastDeal",
			Handler:    _FastDealService_CreateFastDeal_Handler,
		},
		{
			MethodName: "RejectFastDeal",
			Handler:    _FastDealService_RejectFastDeal_Handler,
		},
		{
			MethodName: "DoneFastDeal",
			Handler:    _FastDealService_DoneFastDeal_Handler,
		},
		{
			MethodName: "GetFastDealFile",
			Handler:    _FastDealService_GetFastDealFile_Handler,
		},
		{
			MethodName: "ListFastDealFile",
			Handler:    _FastDealService_ListFastDealFile_Handler,
		},
		{
			MethodName: "AddFastDealFile",
			Handler:    _FastDealService_AddFastDealFile_Handler,
		},
		{
			MethodName: "DeleteFastDealFile",
			Handler:    _FastDealService_DeleteFastDealFile_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "v1/order_mobile/fast_deal_mobile.proto",
}
